Package org.bgerp.plugin.report.action

# Class ReportActionBase

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.plugin.report.action.ReportActionBase

All Implemented Interfaces:
  `Title`

Direct Known Subclasses:
  `ReportPaymentAction`, `ReportProcessAction`, `ReportRegisterAction`

public abstract class ReportActionBase extends BaseAction implements Title
Parent action for all reports.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ReportActionBase.Factory`
  Selects children classes of `ReportActionBase` over all plugins.
  `protected static class`
  `ReportActionBase.Selector`
  Wrapper class around `CommonDAO` for SQL work.

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportActionBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Chart>`
  `getCharts()`
  Supported charts.
  `abstract Columns`
  `getColumns()`
  Report's columns.
  `protected abstract String`
  `getHref()`
  URL suffix for displaying the report in 'user' interface.
  `protected abstract String`
  `getJsp()`
  JSP template for rendering the report.
  `protected abstract ReportActionBase.Selector`
  `getSelector()`
  Selector for extracting the report's data from SQL.
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Title

  `getTitle`

- ## Constructor Details

  - ### ReportActionBase

    public ReportActionBase()

- ## Method Details

  - ### getHref

    protected abstract String getHref()
    URL suffix for displaying the report in 'user' interface.
    Returns:

  - ### getColumns

    public abstract Columns getColumns()
    Report's columns.
    Returns:

  - ### getCharts

    public List<Chart> getCharts()
    Supported charts. Position in the list identifies a chart.
    Returns:

  - ### getJsp

    protected abstract String getJsp()
    JSP template for rendering the report.
    Returns:

  - ### getSelector

    protected abstract ReportActionBase.Selector getSelector()
    Selector for extracting the report's data from SQL.
    Returns:

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `BaseAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`